# Uses of Class
com.ngrok.definitions.EndpointOAuth

Packages that use EndpointOAuth
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointOAuth in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointOAuth
  Modifier and Type
  Method
  Description
  `EndpointOAuth`
  EndpointOAuth.Builder.`build()`
  Constructs the `EndpointOAuth` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointOAuth
  Modifier and Type
  Method
  Description
  `Optional<EndpointOAuth>`
  HttpsEdgeRoute.`getOauth()`
  oauth module configuration or `null`

- ## Uses of EndpointOAuth in com.ngrok.services

  Methods in com.ngrok.services that return EndpointOAuth
  Modifier and Type
  Method
  Description
  `EndpointOAuth`
  EdgeRouteOAuthModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointOAuth`
  EdgeRouteOAuthModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointOAuth
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointOAuth>`
  EdgeRouteOAuthModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointOAuth>`
  EdgeRouteOAuthModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointOAuth
  Modifier and Type
  Method
  Description
  `EdgeRouteOAuthModule.ReplaceCallBuilder`
  EdgeRouteOAuthModule.ReplaceCallBuilder.`module(EndpointOAuth module)`
  Sets the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`oauth(EndpointOAuth oauth)`
  oauth module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`oauth(EndpointOAuth oauth)`
  oauth module configuration or `null`
  Method parameters in com.ngrok.services with type arguments of type EndpointOAuth
  Modifier and Type
  Method
  Description
  `EdgeRouteOAuthModule.ReplaceCallBuilder`
  EdgeRouteOAuthModule.ReplaceCallBuilder.`module(Optional<EndpointOAuth> module)`
  Sets (or unsets) the `module` parameter.
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`oauth(Optional<EndpointOAuth> oauth)`
  oauth module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`oauth(Optional<EndpointOAuth> oauth)`
  oauth module configuration or `null`